View Issue Details

IDProjectCategoryView StatusLast Update
0000054WackoWikiformatterpublic2009-08-19 09:39
ReporterEoNy Assigned Toadministrator  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.2 
Target Version4.3.rcFixed in Version4.3.rc 
Summary0000054: PERL highlighter fails without error.
DescriptionPROBLEM:
In any pages that uses PERL highlighting with the perl class of Text_Highlighter, it fails without error.

REPRODUCE:
Add a new wiki page with
%%(hl perl)
print "bug";
%%

FIX:
See attached diff file please.
Additional InformationThe problem is that lib/Text_Highlighter/Highlight/PERL.php incorrectly calls 'Text/Highlighter.php' by require_once.
First of all there is no Text directory within its working directory, nor would it be correct to call that file.
TagsNo tags attached.

Relationships

related to 0000158 resolvedadministrator Update Text_Highlighter package to 0.7.x 

Activities

2007-08-31 15:28

 

wackor42-hl-PERL-BUGFIX.diff (299 bytes)   
--- wacko.r4.2/lib/Text_Highlighter/Highlighter/PERL.php        Sat Oct  9 11:20:19 2004
+++ lib/Text_Highlighter/Highlighter/PERL.php   Wed Jul 27 04:38:48 2005
@@ -30,8 +30,6 @@
  * @ignore
  */

-require_once 'Text/Highlighter.php';
-
 /**
  * Auto-generated class. PERL syntax highlighting
  *

administrator

2008-04-02 23:56

administrator   ~0000300

Last edited: 2008-04-03 00:09

SVNed with Revision 334

same issue with RUBY

SVNed with Revision 335

Issue History

Date Modified Username Field Change
2007-08-31 15:28 EoNy New Issue
2007-08-31 15:28 EoNy File Added: wackor42-hl-PERL-BUGFIX.diff
2007-08-31 15:28 EoNy Legacy => NEW
2007-08-31 21:02 administrator Legacy NEW => NPJ
2008-04-02 23:35 administrator Relationship added related to 0000158
2008-04-02 23:56 administrator Note Added: 0000300
2008-04-02 23:56 administrator Assigned To => administrator
2008-04-02 23:56 administrator Status new => resolved
2008-04-02 23:56 administrator Resolution open => fixed
2008-04-02 23:56 administrator Fixed in Version => 5.0.0
2008-04-02 23:56 administrator Target Version => 5.0.0
2008-04-02 23:56 administrator Description Updated
2008-04-03 00:09 administrator Note Edited: 0000300
2009-08-19 09:22 administrator Fixed in Version 5.0.0 => 4.3.rc
2009-08-19 09:39 administrator Target Version 5.0.0 => 4.3.rc
2010-03-08 10:13 administrator Category Formatter => formatter